# Class VulkanLogicalDeviceQueueCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanLogicalDeviceQueueCreateInfo.Builder

Enclosing class:
  `VulkanLogicalDeviceQueueCreateInfo`

public static final class VulkanLogicalDeviceQueueCreateInfo.Builder extends Object
Builds instances of type `VulkanLogicalDeviceQueueCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanLogicalDeviceQueueCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanDeviceQueueCreationFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanLogicalDeviceQueueCreateInfo.Builder`
  `addAllQueuePriorities(Iterable<Float> elements)`
  Adds elements to `queuePriorities` list.
  `final VulkanLogicalDeviceQueueCreateInfo.Builder`
  `addFlags(VulkanDeviceQueueCreationFlag element)`
  Adds one element to `flags` set.
  `final VulkanLogicalDeviceQueueCreateInfo.Builder`
  `addFlags(VulkanDeviceQueueCreationFlag... elements)`
  Adds elements to `flags` set.
  `final VulkanLogicalDeviceQueueCreateInfo.Builder`
  `addQueuePriorities(float element)`
  Adds one element to `queuePriorities` list.
  `final VulkanLogicalDeviceQueueCreateInfo.Builder`
  `addQueuePriorities(float... elements)`
  Adds elements to `queuePriorities` list.
  `VulkanLogicalDeviceQueueCreateInfo`
  `build()`
  Builds a new `VulkanLogicalDeviceQueueCreateInfo`.
  `final VulkanLogicalDeviceQueueCreateInfo.Builder`
  `from(VulkanLogicalDeviceQueueCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanLogicalDeviceQueueCreateInfoType` instance.
  `final VulkanLogicalDeviceQueueCreateInfo.Builder`
  `setFlags(Iterable<VulkanDeviceQueueCreationFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanLogicalDeviceQueueCreateInfo.Builder`
  `setQueueFamilyIndex(VulkanQueueFamilyIndex queueFamilyIndex)`
  Initializes the value for the `queueFamilyIndex` attribute.
  `final VulkanLogicalDeviceQueueCreateInfo.Builder`
  `setQueuePriorities(Iterable<Float> elements)`
  Sets or replaces all elements for `queuePriorities` list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanLogicalDeviceQueueCreateInfo.Builder from(VulkanLogicalDeviceQueueCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanLogicalDeviceQueueCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanLogicalDeviceQueueCreateInfo.Builder addFlags(VulkanDeviceQueueCreationFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanLogicalDeviceQueueCreateInfo.Builder addFlags(VulkanDeviceQueueCreationFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanLogicalDeviceQueueCreateInfo.Builder setFlags(Iterable<VulkanDeviceQueueCreationFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanLogicalDeviceQueueCreateInfo.Builder addAllFlags(Iterable<VulkanDeviceQueueCreationFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setQueueFamilyIndex

    public final VulkanLogicalDeviceQueueCreateInfo.Builder setQueueFamilyIndex(VulkanQueueFamilyIndex queueFamilyIndex)
    Initializes the value for the `queueFamilyIndex` attribute.
    Parameters:
      `queueFamilyIndex` - The value for queueFamilyIndex
    Returns:
      `this` builder for use in a chained invocation

  - ### addQueuePriorities

    public final VulkanLogicalDeviceQueueCreateInfo.Builder addQueuePriorities(float element)
    Adds one element to `queuePriorities` list.
    Parameters:
      `element` - A queuePriorities element
    Returns:
      `this` builder for use in a chained invocation

  - ### addQueuePriorities

    public final VulkanLogicalDeviceQueueCreateInfo.Builder addQueuePriorities(float... elements)
    Adds elements to `queuePriorities` list.
    Parameters:
      `elements` - An array of queuePriorities elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setQueuePriorities

    public final VulkanLogicalDeviceQueueCreateInfo.Builder setQueuePriorities(Iterable<Float> elements)
    Sets or replaces all elements for `queuePriorities` list.
    Parameters:
      `elements` - An iterable of queuePriorities elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllQueuePriorities

    public final VulkanLogicalDeviceQueueCreateInfo.Builder addAllQueuePriorities(Iterable<Float> elements)
    Adds elements to `queuePriorities` list.
    Parameters:
      `elements` - An iterable of queuePriorities elements
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanLogicalDeviceQueueCreateInfo build()
    Builds a new `VulkanLogicalDeviceQueueCreateInfo`.
    Returns:
      An immutable instance of VulkanLogicalDeviceQueueCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing